--TEST--
Check for date_time init/set/get functions
--SKIPIF--
<?php  if (!extension_loaded("date_time")) print "skip"; ?>
--POST--
--GET--
--INI--
--FILE--
<?php

$dates = array(
	array(1,2,1923),
	array(21,12,2120)
);
$dates_total = sizeof($dates);

function _compare($d,$arDate)
{
	if (date_get_day($d)!=$arDate[0]) {
		return false;
	}
	if (date_get_month($d)!=$arDate[1]) {
		return false;
	}
	if (date_get_year($d)!=$arDate[2]) {
		return false;
	}
	return true;
}

if (!function_exists('date_new')) {
	echo "date extension not available.\nAborted.\n";
	exit();
}
/* on create */
for($i=0;$i<$dates_total;$i++) {
	$c = $dates[$i];
	$d = date_new_dmy($c[0],$c[1],$c[2]);
	if (!_compare($d, $dates[$i])) {
		echo "Date $i Failed\n";
	}
}

/* set_dmy */
for($i=0;$i<$dates_total;$i++) {
	$c = $dates[$i];
	$d = date_new();
	date_set_dmy($d, $c[0],$c[1],$c[2]);
	if (!_compare($d, $dates[$i])) {
		echo "Date $i Failed\n";
	}
}

/* set_day/month/year */
for($i=0;$i<$dates_total;$i++) {
	$c = $dates[$i];
	$d = date_new();
	date_set_day($d, $c[0]);
	date_set_month($d, $c[1]);
	date_set_year($d, $c[2]);
	if (!_compare($d, $dates[$i])) {
		echo "Date $i Failed\n";
	}
}


echo "Done.\n";
?>
--EXPECT--
Done.
