--TEST--
OO - Check for date_time init/set/get functions
--SKIPIF--
<?php if (!extension_loaded("date_time")) print "skip"; ?>
--POST--
--GET--
--INI--
--FILE--
<?php

$dates = array(
	array(1,2,1923),
	array(21,12,2120)
);
$dates_total = sizeof($dates);

function _compare($d,$arDate)
{
	if (($a=$d->getDay())!=$arDate[0]) {
		echo 'Expect day: '.$arDate[0].': got '.$a."\n";
		return false;
	}
	if (($a=$d->getMonth())!=$arDate[1]) {
		echo 'Expect month: '.$arDate[1].': got '.$a."\n";
		return false;
	}
	if (($a=$d->getYear())!=$arDate[2]) {
		echo 'Expect year: '.$arDate[2].': got '.$a."\n";
		return false;
	}
	return true;
}

function _compare_props($d,$arDate)
{

	if (($a=$d->day)!=$arDate[0]) {
		echo 'Expect day: '.$arDate[0].': got '.$a."\n";
		return false;
	}
	if (($a=$d->month)!=$arDate[1]) {
		echo 'Expect month: '.$arDate[1].': got '.$a."\n";
		return false;
	}
	if (($a=$d->year)!=$arDate[2]) {
		echo 'Expect year: '.$arDate[2].': got '.$a."\n";
		return false;
	}
	return true;
}

if (!function_exists('date_new')) {
	echo "date extension not available.\nAborted.\n";
	exit();
}
/* Constructor checks */
for($i=0;$i<$dates_total;$i++) {
	$c = $dates[$i];
	$d = new Date($c[0],$c[1],$c[2]);
	if (!_compare($d, $dates[$i])) {
		echo "Date $i Failed\n";
	}
}

/* setDMY checks */
for($i=0;$i<$dates_total;$i++) {
	$c = $dates[$i];
	$d = new Date();
	$d->setDMY($c[0],$c[1],$c[2]);
	if (!_compare($d, $dates[$i])) {
		echo "Date $i Failed\n";
	}
}

/* set_day/month/year */
for($i=0;$i<$dates_total;$i++) {
	$c = $dates[$i];
	$d = new Date();
	$d->setDay($c[0]);
	$d->setMonth($c[1]);
	$d->setYear($c[2]);
	if (!_compare($d,$dates[$i])) {
		echo "Date $i Failed\n";
	}
}

/* Property_get */
for($i=0;$i<$dates_total;$i++) {
	$c = $dates[$i];
	$d = new Date();
	$d->setDay($c[0]);
	$d->setMonth($c[1]);
	$d->setYear($c[2]);
	if (!_compare_props($d,$dates[$i])) {
		echo "Date $i Failed\n";
	}
}

echo "Done.\n";
$d = null;
?>
--EXPECT--
Done.
